## helma.objectmodel.db
Interface IReplicationListener

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RemoteApplication

    public interface IReplicationListener

extends java.rmi.Remote

RMI interface for an application. Currently only execute is used and supported.

Method Summary
`void` `replicateCache(java.util.Vector add, java.util.Vector delete)` Update HopObjects in this application's cache.

Method Detail

### replicateCache

    void replicateCache(java.util.Vector add,
                        java.util.Vector delete)
                        throws java.rmi.RemoteException

  Update HopObjects in this application's cache. This is used to replicate application caches in a distributed app environment

  Throws:
    `java.rmi.RemoteException`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.